package com.liquidnet.common.third.zxlnft.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 40.查询转入NFT交易信息列表 GET请求方式
 * @class: TradeInListReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:50
 */
@Data
public class Nft040TradeInListReqDto implements Serializable
{
    /**
     * 账户地址
     */
    private String addr;
    /**
     * 查询偏移量，从0开始，和mysql一个语义
     */
    //@Null
    private Long offset;
    /**
     * 最大1000
     */
    private Long limit;
    private static final Nft040TradeInListReqDto obj = new Nft040TradeInListReqDto();
    private static final long serialVersionUID = -6246326069459026408L;

    public static Nft040TradeInListReqDto getNew() {
        try {
            return (Nft040TradeInListReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft040TradeInListReqDto();
        }
    }
}
